local vertex = {}

function vertex:update(v)
local res = {}
local function translate(v)
local t1 = v - camera.pos
local c = math.cos
local s = math.sin
local t2 = vec3(t1.x*c(camera.rotX) - t1.z*s(camera.rotX), t1.y, t1.z*c(camera.rotX) + t1.x*s(camera.rotX))
local t3 = vec3(t2.x, t2.y*c(camera.rotY) - t2.z*s(camera.rotY), t2.z*c(camera.rotY) + t2.y*s(camera.rotY))
return t3
end
for i,v in pairs(v.v) do
local t = translate(v)
table.insert(res, t)
end
return res
end


return vertex