local face = {}

function face:update(o)
local res = {}
--vert.r = rr
--vert.f = ff
local function getZ(f)
local t = {}
for i=1, 3, 1 do
table.insert(t, o.rv[f[i]].z)
end
return (t[1] + t[2] + t[3])/3
end

local function sortface(a, b)
return getZ(a) > getZ(b)
end

table.sort(o.f, sortface)
for i,v in pairs(o.f) do
local poly = {}
poly.p = {}
local c = getZ(v)/150
if c > 0.9 then c = 0.9 end
poly.c = {o.c[1] - c, o.c[2] - c, o.c[3] -c, o.c[4]}
for k,n in pairs(v) do
local x = o.rv[n].x
local y = o.rv[n].y
local z = o.rv[n].z
if z > 0 then
table.insert(poly.p, x/z*width)
table.insert(poly.p, y/z*height)
end
end
table.insert(res, poly)
end

return res
end

function face:draw(o)
lg.push()
lg.translate(width, height)
for i,v in pairs(o.rf) do
if #v.p > 5 then
lg.setColor(v.c)
lg.polygon("fill", v.p)
if showline then
lg.setColor(0,0,0)
lg.polygon("line", v.p)
end
end
end
lg.pop()
end

return face