function vec3(a, b, c)
local method = {
__add = function (a,b)
return vec3(a.x + b.x, a.y + b.y, a.z + b.z)
end,

__sub = function(a,b)
return vec3(a.x - b.x, a.y - b.y, a.z - b.z)
end,

__div = function(a,b)

if type(b) == "table" then
return vec3(a.x/b.x, a.y/b.y, a.z/b.z)
end

return vec3(a.x/b, a.y/b, a.z/b)
end,
__mul = function(a,b)
return vec3(a.x*b.x, a.y*b.y, a.z*b.z)
end,

__unm = function(a)
return vec3(-a.x, -a.y, -a.z)
end
}
local v = {x = a, y = b, z = c}
setmetatable(v, method)
return v
end
